import {fullPwinbox} from '../constants';
import {PWInboxWidget as InboxWidget} from '../../src';
import {expect} from 'chai';

export default () => {
    it('Message counter should count unread messages', () => {
        const params = {
            enable: true,
            pwinbox: fullPwinbox,
            push: async () => {},
            inboxWidgetConfig: {
                triggerId: 'unfixedTrigger'
            }
        };
        const inbox = new InboxWidget(params as any);
        inbox['updateCounter'](2);
        expect(inbox.count).to.equal(2);
    });

    it('Widget trigger should have attribute with unread messages counter', () => {
        const params = {
            enable: true,
            pwinbox: fullPwinbox,
            push: async () => {},
            inboxWidgetConfig: {
                triggerId: 'unfixedTrigger'
            }
        };
        const inbox = new InboxWidget(params as any);
        inbox['updateCounter'](2);
        expect(inbox.trigger.getAttribute('data-pw-count')).to.equal('2');
    })
};