import {PWInboxWidget as InboxWidget} from '../../src';
import {commonParams} from '../constants';
import {expect} from 'chai';

export default () => {

    it('openWidget() should set widget opened', () => {
        const inbox = new InboxWidget(commonParams as any);
        inbox.openWidget();
        expect(inbox.isOpened).is.true;
        expect(inbox.widget.className).is.contains('pw-open');
    });

    it('closeWidget() should set widget closed', () => {
        const inbox = new InboxWidget(commonParams as any);
        inbox.closeWidget();
        expect(inbox.isOpened).is.not.true;
        expect(inbox.widget.className).is.not.contains('pw-open');
    });

    it('toggle(true) should set widget closed', () => {
        const inbox = new InboxWidget(commonParams as any);
        inbox.toggle(true);
        expect(inbox.isOpened).is.true;
    });

    it('toggle(false) should set widget closed', () => {
        const inbox = new InboxWidget(commonParams as any);
        inbox.toggle(false);
        expect(inbox.isOpened).is.not.true;
    });

    it('toggle() should toggle widget 1', () => {
        const inbox = new InboxWidget(commonParams as any);
        inbox.closeWidget();
        inbox.toggle();
        expect(inbox.isOpened).to.equal(true);
    });

    it('toggle() should toggle widget 0', () => {
        const inbox = new InboxWidget(commonParams as any);
        inbox.openWidget();
        inbox.toggle();
        expect(inbox.isOpened).to.equal(false);
    });

}