import {commonParams, messagesMock, pwinbox} from '../constants';
import {PWInboxWidget as InboxWidget} from '../../src';
import {expect} from 'chai';
import {widgetTemplateEmpty} from '../../src/widgetTemplates';

export default () => {

    it('Render empty widget if there are no messages', () => {
        const params = {
            enable: true,
            pwinbox,
            push: async () => {},
            inboxWidgetConfig: {
                triggerId: 'unfixedTrigger',
                emptyInboxTitle: 'emptyInboxTitle',
                emptyInboxText: 'emptyInboxText',
                emptyInboxIconUrl: 'emptyInboxIconUrl'
            }
        };
        const inbox = new InboxWidget(params as any);
        expect(inbox.widget.innerHTML).to.equal(widgetTemplateEmpty('emptyInboxIconUrl',  'emptyInboxTitle', 'emptyInboxText'));
    });

    it('Empty widget should have proper classname', () => {
        const inbox = new InboxWidget(commonParams as any);
        expect(inbox.widget.className).to.include('pw-inbox-widget--empty');
    });

    it('Render widget with messages without empty classname', () => {
        const inbox = new InboxWidget(commonParams as any);
        inbox['updateInboxMessages'](messagesMock);
        expect(inbox.widget.className).to.not.include('pw-inbox-widget--empty');
    });

};